javax.xml.stream

## Interface XMLStreamConstants

All Known Subinterfaces:
  Attribute, Characters, Comment, DTD, EndDocument, EndElement, EntityDeclaration, EntityReference, Namespace, NotationDeclaration, ProcessingInstruction, StartDocument, StartElement, XMLEvent, XMLStreamReader

All Known Implementing Classes:
  StreamReaderDelegate

    public interface XMLStreamConstants

This interface declares the constants used in this API. Numbers in the range 0 to 256 are reserved for the specification, user defined events must use event codes outside that range.

Since:
  1.6

### Field Summary

Fields
`static int` `ATTRIBUTE` Indicates an event is an attribute
`static int` `CDATA` Indicates an event is a CDATA section
`static int` `CHARACTERS` Indicates an event is characters
`static int` `COMMENT` Indicates an event is a comment
`static int` `DTD` Indicates an event is a DTD
`static int` `END_DOCUMENT` Indicates an event is an end document
`static int` `END_ELEMENT` Indicates an event is an end element
`static int` `ENTITY_DECLARATION` Indicates a Entity Declaration
`static int` `ENTITY_REFERENCE` Indicates an event is an entity reference
`static int` `NAMESPACE` Indicates the event is a namespace declaration
`static int` `NOTATION_DECLARATION` Indicates a Notation
`static int` `PROCESSING_INSTRUCTION` Indicates an event is a processing instruction
`static int` `SPACE` The characters are white space (see [XML], 2.10 "White Space Handling").
`static int` `START_DOCUMENT` Indicates an event is a start document
`static int` `START_ELEMENT` Indicates an event is a start element

### Field Detail

#### START_ELEMENT

    static final int START_ELEMENT

Indicates an event is a start element

See Also:
  `StartElement`, Constant Field Values

#### END_ELEMENT

    static final int END_ELEMENT

Indicates an event is an end element

See Also:
  `EndElement`, Constant Field Values

#### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

Indicates an event is a processing instruction

See Also:
  `ProcessingInstruction`, Constant Field Values

#### CHARACTERS

    static final int CHARACTERS

Indicates an event is characters

See Also:
  `Characters`, Constant Field Values

#### COMMENT

    static final int COMMENT

Indicates an event is a comment

See Also:
  `Comment`, Constant Field Values

#### SPACE

    static final int SPACE

The characters are white space (see [XML], 2.10 "White Space Handling"). Events are only reported as SPACE if they are ignorable white space. Otherwise they are reported as CHARACTERS.

See Also:
  `Characters`, Constant Field Values

#### START_DOCUMENT

    static final int START_DOCUMENT

Indicates an event is a start document

See Also:
  `StartDocument`, Constant Field Values

#### END_DOCUMENT

    static final int END_DOCUMENT

Indicates an event is an end document

See Also:
  `EndDocument`, Constant Field Values

#### ENTITY_REFERENCE

    static final int ENTITY_REFERENCE

Indicates an event is an entity reference

See Also:
  `EntityReference`, Constant Field Values

#### ATTRIBUTE

    static final int ATTRIBUTE

Indicates an event is an attribute

See Also:
  `Attribute`, Constant Field Values

#### DTD

    static final int DTD

Indicates an event is a DTD

See Also:
  `DTD`, Constant Field Values

#### CDATA

    static final int CDATA

Indicates an event is a CDATA section

See Also:
  `Characters`, Constant Field Values

#### NAMESPACE

    static final int NAMESPACE

Indicates the event is a namespace declaration

See Also:
  `Namespace`, Constant Field Values

#### NOTATION_DECLARATION

    static final int NOTATION_DECLARATION

Indicates a Notation

See Also:
  `NotationDeclaration`, Constant Field Values

#### ENTITY_DECLARATION

    static final int ENTITY_DECLARATION

Indicates a Entity Declaration

See Also:
  `NotationDeclaration`, Constant Field Values

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.